plugindevelopment.MartinTestCases

## Class Tester

- java.lang.Object
- - plugindevelopment.TypeInsertTester
  - - plugindevelopment.MartinTestCases.Tester

-     public class Tester
      extends TypeInsertTester

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `rootDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tester()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `runTests()`
    `static void` | `test(java.lang.String sourceFileToInfere, Menge<java.lang.String> mustContain)`

    - ### Methods inherited from class plugindevelopment.TypeInsertTester

      `getFileContent, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rootDirectory

          public static final java.lang.String rootDirectory

  - ### Constructor Detail

    - #### Tester

          public Tester()

  - ### Method Detail

    - #### test

          public static void test(java.lang.String sourceFileToInfere,
                                  Menge<java.lang.String> mustContain)

    - #### runTests

          public void runTests()